Bug 481694 - NetworkManager-openconnect fails to install
NetworkManager-openconnect fails to install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-openconnect (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 00:26 EST by Ian Romanick
Modified: 2009-07-14 11:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Romanick 2009-01-27 00:26:01 EST
Description of problem:

NetworkManager-openconnect.x86_64 0.7.0-4.svn14.fc9 from updates-newkey fails to install.

Version-Release number of selected component (if applicable):

0.7.0-4.svn14.fc9

How reproducible:

Every time.

Steps to Reproduce:
1. yum -y install NetworkManager-openconnect.x86_64
2.
3.
  
Actual results:

Installation fails with:

Error: Missing Dependency: libnm-util.so.1()(64bit) is needed by package NetworkManager-openconnect-0.7.0-4.svn14.fc9.x86_64 (updates-newkey)

Expected results:

Product installs without errors.

Additional info:

I currently have libnm-util.so.0 installed from NetworkManager-glib-0.7.0-0.12.svn4326.fc9.x86_64.  My guess is that some F10 bits crossed over into the F9 package for NetworkManager-openconnect.
Comment 1 David Woodhouse 2009-01-27 00:51:23 EST
Hm, did the F-9 updates for NM not get pushed yet?
Comment 2 Jeroen van Meeuwen 2009-04-04 19:28:45 EDT
A similar issue exists on F-10:

1:NetworkManager-openvpn-0.7.0-16.svn4229.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libnm-util.so.0()(64bit) is needed by package 1:NetworkManager-openvpn-0.7.0-16.svn4229.fc10.x86_64 (fedora)
1:NetworkManager-0.7.0.99-5.git20090326.fc10.x86_64 from updates has depsolving problems
  --> NetworkManager conflicts with NetworkManager-vpnc
1:NetworkManager-vpnc-0.7.0-0.11.svn4229.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libnm-util.so.0()(64bit) is needed by package 1:NetworkManager-vpnc-0.7.0-0.11.svn4229.fc10.x86_64 (fedora)
1:NetworkManager-0.7.0.99-5.git20090326.fc10.x86_64 from updates has depsolving problems
  --> NetworkManager conflicts with NetworkManager-openvpn
Unable to resolve dependencies for some packages selected:

NetworkManager conflicts with NetworkManager-vpnc
Missing Dependency: libnm-util.so.0()(64bit) is needed by package 1:NetworkManager-openvpn-0.7.0-16.svn4229.fc10.x86_64 (fedora)
Missing Dependency: libnm-util.so.0()(64bit) is needed by package 1:NetworkManager-vpnc-0.7.0-0.11.svn4229.fc10.x86_64 (fedora)
NetworkManager conflicts with NetworkManager-openvpn
Comment 3 Bug Zapper 2009-06-09 23:30:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:19:06 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 David Woodhouse 2009-07-14 11:28:20 EDT
I believe this is fixed now anyway?

Note You need to log in before you can comment on or make changes to this bug.